Subject: RE: Use of the term "end-to-end"

From: [email-masked]
Date: Tue, 8 Aug 2000 14:52:49 +0100

All,

End-to-end is subjective since it depends on your perspective....think about
nested LSPs, we have to cater for these.  LER-to-LER is architecturally
restrictive being just one specific case of an LSP, and (as Eric points out)
related to 'current box names'.  I believe we need a generic term that
captures the essence of the LSP entity at whatever level it exists in a
label stacked hierarchy of LSPs.  If we borrow from functional modelling
terminology developed in G.805 by the ITU for SDH and ATM, I suspect that
'trail termination points' (ie an LSP exists between them) is the closest
match to the function we are trying to describe. I attach the extracted
references from G.805 below for your information.
3.1	trail termination sink: A "transport processing function" which
accepts the characteristic information of the layer network at its input,
removes the information related to "trail" monitoring and presents the
remaining information at its output.
3.2	trail termination source: A "transport processing function" which
accepts adapted "characteristic information" from a client layer network at
its input, adds information to allow the "trail" to be monitored and
presents the characteristic information of the layer network at its output.
The trail termination source can operate without an input from a client
layer network.

Whilst these are not perfect matches we could start to use them I guess (or
invent our own).  Also note that as MPLS expands to cover other technologies
(eg optical networks) then we need a common architectural term for the LSP
object irrespective of the technology.
BTW....I understand the ITU are going to develop a functional model of
optical and IP/MPLS networks in due course.

So perhaps we could use LSP_TTP-LSP_TTP (or LTTP-LTTP, or indeed whatever
looks nice) to define this entity.....and to be honest I don't think its
name is that important, just so long as we agree on (functionally) what that
entity is. 

The only thing that concerns me now is PHP......as I said in a mail several
weeks ago (wrt defect detection and consequent action, eg restoration) I
really don't like the idea that the LSP (sink) trail termination point is a
moveable feast.

Regards, Neil

> -----Original Message-----
> From:	Eric Gray [SMTP:[email-masked]]
> Sent:	Monday, August 07, 2000 4:57 AM
> To:	Loa Andersson
> Cc:	David Allan; Scott Brim; David R. Oran; mpls; IESG; IAB
> Subject:	Re: Use of the term "end-to-end"
> 
> Loa,
> 
>     I distinctly remember your proposing the term and
> its more-or-less being rejected.  Never-the-less, it has
> come to be accepted as a real term.  Many slides and
> charts now contain some subset of this picture:
> 
>   LER -- LSR -- ... -- LSR -- LER
> 
> While it is still debatable that a box which is exclusively
> either an LER or an LSR will be a long-term survivor
> in the market place, it is useful to think of LSR verses
> LER functionality.
> 
> Loa Andersson wrote:
> 
> > This is fine with me, but the last time (back in the childhood of MPLS)
> > I tried to propose the term LER as part of the MPLS vocabulary it was
> > not considered necessary. SO either we add it or use something else.
> >
> > /Loa
> >
> > David Allan wrote:
> > >
> > > Agreed
> > >
> > >      -----Original Message-----
> > >      From:   Scott Brim [SMTP:[email-masked]]
> > >      Sent:   Thursday, August 03, 2000 11:37 AM
> > >      To:     David R. Oran
> > >      Cc:     mpls; IESG; IAB
> > >      Subject:        Re: Use of the term "end-to-end"
> > >
> > >      LER-to-LER
> > >
> > >      <snip>
> >
> > --
> >
> > Loa Andersson
> > Director Routing Architecture Lab, EMEA
> > St Eriksgatan 115A, PO Box 6701
> > 113 85 Stockholm, Sweden
> > phone: +46 8 50 88 36 34,   mobile + 46 70 522 78 34
> > e-mail: [email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 08 Aug 2000 09:46:18 -0500

No, end-to-end is very explicit in the Internet and not at all
subjective. Please see RFC 1958.

   Brian

---

From: "Brijesh Kumar" <[email-masked]>
Date: Tue, 8 Aug 2000 12:29:41 -0400

Hi neil,

End-to-End has certain well understood meaning ( the closest IETF doc
explaining this term is RFC 1958 - Architectural Principles of the
Internet). There is no need to overload this term. The use of LSP
Ingress Point/Router/Node/Edge (LIP, LIR, LIN or LER) to LSP Egress
Point/Router/Node/Edge (LEP, LER, LEN or LER) will be lot better.

Cheers,

--brijesh
Ennovate Networks Inc.

> From: [email-masked] [mailto:[email-masked]]On Behalf Of
> [email-masked]
> Sent: Tuesday, August 08, 2000 9:53 AM
> To: [email-masked]; [email-masked]
> Cc: [email-masked]; [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> Subject: RE: Use of the term "end-to-end"
>
>
> All,
>

---

From: "S.Sankaranarayanan 3C-508A" <[email-masked]>
Date: Tue, 08 Aug 2000 12:21:34 -0400

While, the term end-to-end is explicit in RFC 1958, I think there is a
implicit assumption that end-to-end means the end applications
that are sitting at the end-points of a communication system.  This is
probably a good definition in the case of 
the public Internet which is by default "not owned or operated" by a
single entity.  However, the term end-to-end
needs to be defined for the case of a "managed IP network" like that
ones that operators who would like to provide revenue generating
services operate.  I dont think there is any doubt that operators want
to identify the end-points
of LSP segment that "belongs to them" so as to be able to engineer that
part of the segment to be able to provide value added services to their
customers like QoS guarantees.  To this
effect, I support Neil's usage of LSP_TTP or LTTP as it is most generic
and captures functionality abstractly rather than using boxes,
additionally the notion of a TTP is generic to any connection oriented
network and works well in heterogeneous networks.

Regards,
Shiva
------------------
Sivakumar Sankaranarayanan
Lucent Technologies

---

From: Eric Rosen <[email-masked]>
Date: Tue, 08 Aug 2000 12:48:42 -0400

(I don't know why I want to add more to this silly thread, but ...)

Could someone  quote the passage in  RFC 1958 that  defines "end-to-end"?  I
can't seem to locate it.

---

From: RJ Atkinson <[email-masked]>
Date: Tue, 08 Aug 2000 12:43:30 -0400

Shiva,

	You are confused.  The term "end-to-end" is very well
defined within the IETF and Internet community as several 
folks have noted with references.  Please cease and desist in 
trying to change its meaning.  Other kind folk have suggested
various more precise and more clear terms for the MPLS context,
which is sensible since MPLS is not end-to-end.

Thank you kindly,

Ran
[email-masked]

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 08 Aug 2000 13:23:38 -0500

Eric,

There isn't a capsule definition, but section 2.3 discusses e2e in 
some detail, and cites the classic reference. There is further
analysis of end-to-endness in RFC 2775, section 2.

As a matter of fact this is something that OSI recognised too.
The notion of an end-system is well defined in OSI, and the
Internet's end-to-end principle applies between end-systems.

Not between termination points of subnet technologies
such as ATM, Ethernet, frame relay, MPLS, or whatever.

  Brian

---

From: RJ Atkinson <[email-masked]>
Date: Tue, 08 Aug 2000 12:43:30 -0400

Shiva,

Thank you kindly,

Ran
[email-masked]